### Virtual Method

# GimpUi GradientSelectButton gradient_set

#### Declaration [src]

    void
    gradient_set (
      GimpGradientSelectButton* button,
      const gchar* gradient_name,
      gint width,
      const gdouble* gradient_data,
      gboolean dialog_closing
    )

#### Description

No description available.

#### Parameters

`gradient_name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`width` | `gint`
| No description available.
`gradient_data` | `const gdouble*`
| No description available.
| The data is owned by the caller of the function.
`dialog_closing` | `gboolean`
| No description available.